%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Class/Accessor/Fast.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(Jifty/DBI/Schema.pm) perl(Jifty/Plugin.pm) perl(Jifty/Test.pm) perl(Jifty/Test/WWW/Mechanize.pm) perl(Jifty/View/Declare.pm) perl(Jifty/Web/Form/Field.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.20
%define module_name Jifty-Plugin-SimpleColor
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt1
Summary: Provides simple jQuery color picker for Jifty
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/Y/YV/YVESAGO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
In your model class schema description, add the following:

   column color1 => is SimpleColor;

In your jifty config.yml under the framework section:

    Plugins:
      - SimpleColor: {}

or

    Plugins:
      - SimpleColor:
          defaultColors:
             - F00
             - 00FF00
             - 00F
             - FFF
             - 000

you can add colors in each model class schema description with

  sub Jifty::Plugin::SimpleColor::Widget::addColors { return "['900', '090', '009', 'ccc']"; }


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/J*
%perl_vendor_privlib/auto/*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- initial import by package builder

